---
- import_tasks: secrets.yaml

- name: Configure login realm
  import_tasks: per_realm.yml
  vars:
    # get the realm that is configured as login realm (keycloak_realm)
    item: "{{ keycloak_realms | selectattr('name', 'equalto', keycloak_realm) | first }}"

- name: Configure sub realms
  include_tasks: per_realm.yml
  # get all realms that are sub realms (keycloak_realm is not equal to realm name)
  loop: "{{ keycloak_realms | rejectattr('name', 'equalto', keycloak_realm) | list }}"

- name: Configure default permissions
  include_tasks: default_permissions.yaml
  # get all realms that are sub realms (keycloak_realm is not equal to realm name)
  vars:
    item: "{{ keycloak_realms | selectattr('name', 'equalto', keycloak_realm) | first }}"


- name: Configure custom authenticator approvedCheck
  include_tasks: custom_authenticator.yaml
  when: keycloak_rps_extension is defined and keycloak_rps_extension
